/*
Copyright (C) 2021 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR

This file is part of HOTMapper.

HOTMapper is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License AS published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

HOTMapper is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with HOTMapper.  If not, see <https://www.gnu.org/licenses/>.
*/

-- depends: curso_ens_superior, localoferta_ens_superior

CREATE TABLE curso_ens_superior_count
AS 
SELECT
    DISTINCT(localoferta_ens_superior.cod_curso) AS "cod_curso",
    localoferta_ens_superior.cod_municipio AS "cod_municipio_curso",
    curso_ens_superior.ano_censo  AS "ano_censo",
    curso_ens_superior.nome_curso AS "nome_curso",
    curso_ens_superior.cod_grau_academico AS "cod_grau_academico",
    curso_ens_superior.cod_nivel_academico AS "cod_nivel_academico"
FROM 
  curso_ens_superior
INNER JOIN localoferta_ens_superior ON
    (curso_ens_superior.ano_censo=localoferta_ens_superior.ano_censo AND
    curso_ens_superior.cod_curso=localoferta_ens_superior.cod_curso)
GROUP BY
    localoferta_ens_superior.cod_curso,
    localoferta_ens_superior.cod_municipio,
    curso_ens_superior.ano_censo,
    curso_ens_superior.nome_curso,
    curso_ens_superior.cod_grau_academico,
    curso_ens_superior.cod_nivel_academico;
