CREATE TABLE localoferta_ens_superior_matricula AS (

WITH
    COD_CURSO AS
        (SELECT aluno_ens_superior.cod_aluno AS "cod_aluno", 
            aluno_ens_superior.ano_censo AS "ano_censo", 
            aluno_ens_superior.cod_uf_ies AS "aluno_cod_uf",
            aluno_ens_superior.cod_municipio_ies AS "aluno_cod_municipio", 
            aluno_ens_superior.cod_regiao_ies AS "aluno_regiao_ies",
            aluno_ens_superior.idade_aluno_codigo AS "idade_aluno_codigo", 
            aluno_ens_superior.par_categoria_administrativa AS "par_categoria_administrativa", 
            aluno_ens_superior.cod_organizacao_academica AS "cod_organizacao_academica",
            aluno_ens_superior.par_cod_ocde_area_especifica AS "par_cod_ocde_area_especifica", 
            aluno_ens_superior.par_cod_ocde_area_geral AS "par_cod_ocde_area_geral", 
            aluno_ens_superior.par_cod_ocde_area_detalhada AS "par_cod_ocde_area_detalhada",
            aluno_ens_superior.nome_ocde_area_especifica AS "nome_ocde_area_especifica", 
            aluno_ens_superior.nome_ocde_area_geral AS "nome_ocde_area_geral", 
            aluno_ens_superior.nome_ocde_area_detalhada AS "nome_ocde_area_detalhada",
            aluno_ens_superior.cod_grau_academico AS "cod_grau_academico", 
            aluno_ens_superior.cod_modalidade_ensino AS "cod_modalidade_ensino", 
            aluno_ens_superior.cod_turno_aluno AS "cod_turno_aluno",
            aluno_ens_superior.par_cod_cor_raca_aluno AS "par_cod_cor_raca_aluno", 
            aluno_ens_superior.par_aluno_deficiencia_transtorno_superdotacao AS "par_aluno_deficiencia_transtorno_superdotacao",
            aluno_ens_superior.nome_ies AS "nome_ies", 
            aluno_ens_superior.cod_ies AS "cod_ies", 
            aluno_ens_superior.par_genero_aluno AS "par_genero_aluno",
            localoferta_ens_superior.cod_local_oferta AS "cod_local_oferta", 
            localoferta_ens_superior.cod_uf AS "localoferta_cod_uf", 
            aluno_ens_superior.par_tipo_escola_ensino_medio AS "par_tipo_escola_ensino_medio",
            localoferta_ens_superior.cod_municipio AS "localoferta_cod_municipio", 
            localoferta_ens_superior.cod_regiao AS "localoferta_cod_regiao",
            localoferta_ens_superior.nome AS "localoferta_nome", 
            aluno_ens_superior.concluinte AS "concluinte", 
            aluno_ens_superior.cod_aluno_situacao AS "cod_aluno_situacao", 
            aluno_ens_superior.ingressante AS "ingressante",
            aluno_ens_superior.cod_nivel_academico AS "cod_nivel_academico", 
            aluno_ens_superior.matriculado AS "matriculado",
		    aluno_ens_superior.cod_cine_area_especifica AS "cod_cine_area_especifica",
			aluno_ens_superior.nome_cine_area_especifica AS "nome_cine_area_especifica",
	    	aluno_ens_superior.cod_cine_area_detalhada AS "cod_cine_area_detalhada", 
			aluno_ens_superior.nome_cine_area_detalhada AS "nome_cine_area_detalhada",
	    	aluno_ens_superior.cod_cine_area_geral AS "cod_cine_area_geral",
			aluno_ens_superior.nome_cine_area_geral AS "nome_cine_area_geral",
            aluno_ens_superior.cod_curso AS "cod_curso"
        FROM
            aluno_ens_superior 
            INNER JOIN 
                localoferta_ens_superior ON (aluno_ens_superior.ano_censo=localoferta_ens_superior.ano_censo AND aluno_ens_superior.cod_curso=localoferta_ens_superior.cod_curso)
        WHERE
        	(localoferta_ens_superior.cod_curso_polo IS NULL)
    	),
    COD_CURSO_POLO AS
        (SELECT aluno_ens_superior.cod_aluno AS "cod_aluno", 
            aluno_ens_superior.ano_censo AS "ano_censo", 
            aluno_ens_superior.cod_uf_ies AS "aluno_cod_uf",
            aluno_ens_superior.cod_municipio_ies AS "aluno_cod_municipio", 
            aluno_ens_superior.cod_regiao_ies AS "aluno_regiao_ies",
            aluno_ens_superior.idade_aluno_codigo AS "idade_aluno_codigo",
            aluno_ens_superior.par_categoria_administrativa AS "par_categoria_administrativa",
            aluno_ens_superior.cod_organizacao_academica AS "cod_organizacao_academica",
            aluno_ens_superior.par_cod_ocde_area_especifica AS "par_cod_ocde_area_especifica",
            aluno_ens_superior.par_cod_ocde_area_geral AS "par_cod_ocde_area_geral",
            aluno_ens_superior.par_cod_ocde_area_detalhada AS "par_cod_ocde_area_detalhada",
            aluno_ens_superior.nome_ocde_area_especifica AS "nome_ocde_area_especifica", 
            aluno_ens_superior.nome_ocde_area_geral AS "nome_ocde_area_geral",
            aluno_ens_superior.nome_ocde_area_detalhada AS "nome_ocde_area_detalhada",
            aluno_ens_superior.cod_grau_academico AS "cod_grau_academico", 
            aluno_ens_superior.cod_modalidade_ensino AS "cod_modalidade_ensino", 
            aluno_ens_superior.cod_turno_aluno AS "cod_turno_aluno",
            aluno_ens_superior.par_cod_cor_raca_aluno AS "par_cod_cor_raca_aluno", 
            aluno_ens_superior.par_aluno_deficiencia_transtorno_superdotacao AS "par_aluno_deficiencia_transtorno_superdotacao",
            aluno_ens_superior.nome_ies AS "nome_ies", 
            aluno_ens_superior.cod_ies AS "cod_ies", 
            aluno_ens_superior.par_genero_aluno AS "par_genero_aluno",
            localoferta_ens_superior.cod_local_oferta AS "cod_local_oferta", 
            localoferta_ens_superior.cod_uf AS "localoferta_cod_uf", 
            aluno_ens_superior.par_tipo_escola_ensino_medio AS "par_tipo_escola_ensino_medio",
            localoferta_ens_superior.cod_municipio AS "localoferta_cod_municipio", 
            localoferta_ens_superior.cod_regiao AS "localoferta_cod_regiao",
            localoferta_ens_superior.nome AS "localoferta_nome", 
            aluno_ens_superior.concluinte AS "concluinte", 
            aluno_ens_superior.cod_aluno_situacao AS "cod_aluno_situacao", 
            aluno_ens_superior.ingressante AS "ingressante",
            aluno_ens_superior.cod_nivel_academico AS "cod_nivel_academico", 
            aluno_ens_superior.matriculado AS "matriculado",
		    aluno_ens_superior.cod_cine_area_especifica AS "cod_cine_area_especifica",
			aluno_ens_superior.nome_cine_area_especifica AS "nome_cine_area_especifica",
	    	aluno_ens_superior.cod_cine_area_detalhada AS "cod_cine_area_detalhada", 
			aluno_ens_superior.nome_cine_area_detalhada AS "nome_cine_area_detalhada",
	    	aluno_ens_superior.cod_cine_area_geral AS "cod_cine_area_geral",
			aluno_ens_superior.nome_cine_area_geral AS "nome_cine_area_geral",
			aluno_ens_superior.cod_curso AS "cod_curso"
        FROM
        	aluno_ens_superior 
            INNER JOIN 
                localoferta_ens_superior ON (aluno_ens_superior.ano_censo=localoferta_ens_superior.ano_censo AND aluno_ens_superior.cod_curso_polo=localoferta_ens_superior.cod_curso_polo)
        WHERE
        	(localoferta_ens_superior.cod_curso_polo > 0)
        )

SELECT * FROM COD_CURSO
UNION ALL (SELECT * FROM COD_CURSO_POLO)
);